class GraphModule(Module):
  __parameters__ = []
  __buffers__ = ["conv1_input_scale_0", "conv1_input_zero_point_0", "layer1_0_relu_scale_0", "layer1_0_relu_zero_point_0", "layer1_1_relu_scale_0", "layer1_1_relu_zero_point_0", "layer2_0_relu_scale_0", "layer2_0_relu_zero_point_0", "layer2_1_relu_scale_0", "layer2_1_relu_zero_point_0", "layer3_0_relu_scale_0", "layer3_0_relu_zero_point_0", "layer3_1_relu_scale_0", "layer3_1_relu_zero_point_0", "layer4_0_relu_scale_0", "layer4_0_relu_zero_point_0", "layer4_1_relu_scale_0", "layer4_1_relu_zero_point_0", ]
  conv1_input_scale_0 : Tensor
  conv1_input_zero_point_0 : Tensor
  layer1_0_relu_scale_0 : Tensor
  layer1_0_relu_zero_point_0 : Tensor
  layer1_1_relu_scale_0 : Tensor
  layer1_1_relu_zero_point_0 : Tensor
  layer2_0_relu_scale_0 : Tensor
  layer2_0_relu_zero_point_0 : Tensor
  layer2_1_relu_scale_0 : Tensor
  layer2_1_relu_zero_point_0 : Tensor
  layer3_0_relu_scale_0 : Tensor
  layer3_0_relu_zero_point_0 : Tensor
  layer3_1_relu_scale_0 : Tensor
  layer3_1_relu_zero_point_0 : Tensor
  layer4_0_relu_scale_0 : Tensor
  layer4_0_relu_zero_point_0 : Tensor
  layer4_1_relu_scale_0 : Tensor
  layer4_1_relu_zero_point_0 : Tensor
  training : bool
  _is_full_backward_hook : Optional[bool]
  conv1 : __torch__.torch.nn.intrinsic.quantized.modules.conv_relu.ConvReLU2d
  maxpool : __torch__.torch.nn.modules.pooling.___torch_mangle_127.MaxPool2d
  layer1 : __torch__.torch.nn.modules.module.___torch_mangle_132.Module
  layer2 : __torch__.torch.nn.modules.module.___torch_mangle_141.Module
  layer3 : __torch__.torch.nn.modules.module.___torch_mangle_150.Module
  layer4 : __torch__.torch.nn.modules.module.___torch_mangle_159.Module
  avgpool : __torch__.torch.nn.modules.pooling.___torch_mangle_160.AdaptiveAvgPool2d
  fc : __torch__.torch.nn.quantized.modules.linear.Linear
  def forward(self: __torch__.torch.fx.graph_module.GraphModule,
    x: Tensor) -> Tensor:
    _0 = self.fc
    _1 = self.avgpool
    _2 = getattr(self.layer4, "1").conv2
    _3 = getattr(self.layer4, "1").conv1
    _4 = getattr(self.layer4, "0").downsample
    _5 = getattr(_4, "0")
    _6 = getattr(self.layer4, "0").conv2
    _7 = getattr(self.layer4, "0").conv1
    _8 = getattr(self.layer3, "1").conv2
    _9 = getattr(self.layer3, "1").conv1
    _10 = getattr(self.layer3, "0").downsample
    _11 = getattr(_10, "0")
    _12 = getattr(self.layer3, "0").conv2
    _13 = getattr(self.layer3, "0").conv1
    _14 = getattr(self.layer2, "1").conv2
    _15 = getattr(self.layer2, "1").conv1
    _16 = getattr(self.layer2, "0").downsample
    _17 = getattr(_16, "0")
    _18 = getattr(self.layer2, "0").conv2
    _19 = getattr(self.layer2, "0").conv1
    _20 = getattr(self.layer1, "1").conv2
    _21 = getattr(self.layer1, "1").conv1
    _22 = getattr(self.layer1, "0").conv2
    _23 = getattr(self.layer1, "0").conv1
    _24 = self.maxpool
    _25 = self.conv1
    input = torch.quantize_per_tensor(x, 0.018631115555763245, int(self.conv1_input_zero_point_0), 13)
    _26 = (_24).forward((_25).forward(input, ), )
    _27 = (_22).forward((_23).forward(_26, ), )
    input0 = ops.quantized.add_relu(_27, _26, 0.020340094342827797, 0)
    _28 = (_20).forward((_21).forward(input0, ), )
    input1 = ops.quantized.add_relu(_28, input0, 0.017916278913617134, 0)
    _29 = (_18).forward((_19).forward(input1, ), )
    input2 = ops.quantized.add_relu(_29, (_17).forward(input1, ), 0.015157363377511501, 0)
    _30 = (_14).forward((_15).forward(input2, ), )
    input3 = ops.quantized.add_relu(_30, input2, 0.018067160621285439, 0)
    _31 = (_12).forward((_13).forward(input3, ), )
    input4 = ops.quantized.add_relu(_31, (_11).forward(input3, ), 0.013356750831007957, 0)
    _32 = (_8).forward((_9).forward(input4, ), )
    input5 = ops.quantized.add_relu(_32, input4, 0.015481038950383663, 0)
    _33 = (_6).forward((_7).forward(input5, ), )
    input6 = ops.quantized.add_relu(_33, (_5).forward(input5, ), 0.015273529104888439, 0)
    _34 = (_2).forward((_3).forward(input6, ), )
    input7 = ops.quantized.add_relu(_34, input6, 0.052960611879825592, 0)
    x0 = torch.flatten((_1).forward(input7, ), 1)
    _35 = torch.dequantize((_0).forward(x0, ))
    return _35
