class ConvReLU2d(Module):
  __parameters__ = []
  __buffers__ = []
  training : bool
  _is_full_backward_hook : Optional[bool]
  in_channels : int
  out_channels : int
  kernel_size : Tuple[int, int]
  stride : Tuple[int, int]
  padding : Tuple[int, int]
  dilation : Tuple[int, int]
  transposed : bool
  output_padding : Tuple[int, int]
  groups : int
  padding_mode : str
  _packed_params : __torch__.torch.classes.quantized.Conv2dPackedParamsBase
  scale : float
  zero_point : int
  def __getstate__(self: __torch__.torch.nn.intrinsic.quantized.modules.conv_relu.___torch_mangle_147.ConvReLU2d) -> Tuple[int, int, Tuple[int, int], Tuple[int, int], Tuple[int, int], Tuple[int, int], bool, Tuple[int, int], int, str, Tensor, Optional[Tensor], float, int, bool]:
    w, b, = (self)._weight_bias()
    _0 = (self.in_channels, self.out_channels, self.kernel_size, self.stride, self.padding, self.dilation, self.transposed, self.output_padding, self.groups, self.padding_mode, w, b, self.scale, self.zero_point, self.training)
    return _0
  def __setstate__(self: __torch__.torch.nn.intrinsic.quantized.modules.conv_relu.___torch_mangle_147.ConvReLU2d,
    state: Tuple[int, int, Tuple[int, int], Tuple[int, int], Tuple[int, int], Tuple[int, int], bool, Tuple[int, int], int, str, Tensor, Optional[Tensor], float, int, bool]) -> NoneType:
    self.in_channels = (state)[0]
    self.out_channels = (state)[1]
    self.kernel_size = (state)[2]
    self.stride = (state)[3]
    self.padding = (state)[4]
    self.dilation = (state)[5]
    self.transposed = (state)[6]
    self.output_padding = (state)[7]
    self.groups = (state)[8]
    self.padding_mode = (state)[9]
    _1 = (self).set_weight_bias((state)[10], (state)[11], )
    self.scale = (state)[12]
    self.zero_point = (state)[13]
    self.training = (state)[14]
    return None
  def _weight_bias(self: __torch__.torch.nn.intrinsic.quantized.modules.conv_relu.___torch_mangle_147.ConvReLU2d) -> Tuple[Tensor, Optional[Tensor]]:
    return (self._packed_params).unpack()
  def set_weight_bias(self: __torch__.torch.nn.intrinsic.quantized.modules.conv_relu.___torch_mangle_147.ConvReLU2d,
    w: Tensor,
    b: Optional[Tensor]) -> NoneType:
    _2 = torch.eq(self.padding_mode, "zeros")
    if _2:
      _3 = self.stride
      _4 = self.padding
      _5 = self.dilation
      _6 = self.groups
      _7, _8, = _3
      _9 = [_7, _8]
      _10, _11, = _4
      _12 = [_10, _11]
      _13, _14, = _5
      _15 = ops.quantized.conv2d_prepack(w, b, _9, _12, [_13, _14], _6)
      self._packed_params = _15
    else:
      _16 = self.stride
      _17 = [0, 0]
      _18 = self.dilation
      _19 = self.groups
      _20, _21, = _16
      _22 = [_20, _21]
      _23, _24, = _18
      _25 = ops.quantized.conv2d_prepack(w, b, _22, _17, [_23, _24], _19)
      self._packed_params = _25
    return None
  def forward(self: __torch__.torch.nn.intrinsic.quantized.modules.conv_relu.___torch_mangle_147.ConvReLU2d,
    input: Tensor) -> Tensor:
    input0 = ops.quantized.conv2d_relu(input, self._packed_params, 0.010148748755455017, 0)
    return input0
